Bug 711027 (CVE-2011-2188) - CVE-2011-2188 lua-expat: Prone to XML "billion laughs attack"
Summary: CVE-2011-2188 lua-expat: Prone to XML "billion laughs attack"
Keywords:
Status: CLOSED CANTFIX
Alias: CVE-2011-2188
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 711029
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-06 09:43 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:45 UTC (History)
1 user (show)

Fixed In Version: Upstream: luaexpat-1.2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-11 22:36:24 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-06-06 09:43:25 UTC
It was found that LuaExpat, a SAX XML parser based on the Expat library,
is prone to XML "billion laughs attack", as described in:
[1] http://www.ibm.com/developerworks/xml/library/x-tipcfsx/index.html#N100F1

A remote attacker could provide a specially-crafted XML file, which
once opened in an application, linked against LuaExpat, could cause
that application to crash.

References:
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629225
[3] http://matthewwild.co.uk/projects/luaexpat/luaexpat-1.2.0.tar.gz

Comment 1 Jan Lieskovsky 2011-06-06 09:47:39 UTC
The updates for lua-expat package, as shipped with Fedora release of 14 and 15,
and as shipped within EPEL-5 and EPEL-6 repositories, addressing this issue,
has been already scheduled. Relevant name-version-releases of those are:
1) lua-expat-1.2.0-1.fc14 for F-14,
2) lua-expat-1.2.0-1.fc15 for F-15,
3) lua-expat-1.2.0-1.el5 for EPEL-5,
4) lua-expat-1.2.0-1.el6 for EPEL-6.

This issue affects the version of the lua-expat package, as shipped with
Fedora release of 13. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-06-06 09:48:37 UTC
Created lua-expat tracking bugs for this issue

Affects: fedora-13 [bug 711029]

Comment 3 Jan Lieskovsky 2011-06-06 09:51:30 UTC
CVE request:
[4] http://www.openwall.com/lists/oss-security/2011/06/06/4

Comment 4 Jan Lieskovsky 2011-06-07 08:59:05 UTC
The CVE identifier of CVE-2011-2188 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2011/06/06/19

Comment 5 Tim Niemueller 2011-10-11 22:36:24 UTC
F-13 is EOL so closing.


Note You need to log in before you can comment on or make changes to this bug.